// pages/apply/apply.js
const app = getApp()
const $api = require('../../utils/api.js').API;
import md5 from '../../utils/md5.js';//支付页面引入md5.js
Page({

    /**
     * 页面的初始数据
     */
    data: {
        page:2
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        $api.getsignup().then(res=>{
            this.setData({
                info:res.data.data
            })
        })
    },
    tab(e){
        this.setData({
            page:e.target.dataset.id
        })
    },
    post(){
        var data={
            signup_type:this.data.page,
            total_fee:this.data.info.viewer_price  
        }
        if(this.data.page == 2){
            data.total_fee=this.data.info.player_price  
            data.match_id=this.data.info.id
            data.match_name=this.data.info.name
        }
        $api.wxpay(data).then(res=>{
            var timestamp = Math.round(new Date().getTime() / 1000).toString();
            var paySign = md5('appId=' + res.data.data.appid + '&nonceStr=' + res.data.data.nonce_str + '&package=prepay_id=' + res.data.data.prepay_id + '&signType=MD5&timeStamp=' + timestamp + '&key=' + res.data.data.key).toUpperCase();
            console.log(paySign)
              wx.requestPayment({
                timeStamp: timestamp,
                nonceStr: res.data.data.nonce_str,
                package: 'prepay_id=' + res.data.data.prepay_id,
                signType: 'MD5',
                paySign: paySign,
                success(res) { 
                    wx.showToast({
                      title: '报名成功',
                    })
                  wx.switchTab({
                    url: '../index/index'
                  });
                },
                fail(res) { console.log(res)}
              })
        })
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})